<?php
/**
 * Concrete implementation of Sync_Handler for sync operations.
 *
 * @package    ProductSync
 * @subpackage SyncHandler
 * @author     miniOrange <info@miniorange.com>
 * @link       https://miniorange.com
 */

namespace MOWCPS\Common\Handlers\SyncHandler;

/**
 * Concrete Sync_Handler class for manual sync operations.
 */
class Sync_Handler extends Abstract_Sync_Handler {

	/**
	 * Constructor.
	 *
	 * @param int $supplier_id supplier_id.
	 */
	public function __construct( $supplier_id ) {
		parent::__construct( $supplier_id );
	}

	/**
	 * Start manual sync.
	 */
	public function start_sync() {
		parent::start_sync();
	}

	/**
	 * Stop sync.
	 */
	public function stop_sync() {
		parent::stop_sync();
	}
}
